%define aurox_ver 9.3
%define rel 2


Summary: Linux/UNIX tool suite for Nokia mobile phones.
Name: gnokii
Version: 0.5.10
Release: %{aurox_ver}.aur.%{rel}
License: GPL
Group: Applications/Communications
URL: http://gnokii.org/
Source: ftp://ftp.gnokii.org/pub/gnokii/%{name}-%{version}.tar.bz2
Source1: xgnokii.desktop
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: bluez-libs-devel gtk+-devel
Prefix: %{_prefix}

BuildRequires: gettext, gtk+-devel >= 1.2.0

%description
Gnokii is a Linux/UNIX tool suite and a modem/fax driver for
Nokia's mobile phones, released under the GPL.

%package gui
Summary: Graphical Linux/UNIX tool suite for Nokia mobile phones.
Group: Applications/Communications
Requires: %{name} = %{version}-%{release}
Obsoletes: gnokii-xgnokii, gnokii-gtk

%description gui
Xgnokii is a graphical Linux/UNIX tool suite for Nokia's mobile phones. It
allows you to edit your contacts book, send/read SMS's from/in your
computer and more.

%package devel
Summary: Header files, libraries and development documentation for %{name}.
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
This package contains the header files, static libraries and development
documentation for %{name}. If you like to develop programs using %{name},
you will need to install %{name}-devel.

%prep
%setup

%build
%configure \
	--with-x \
	--with-gnu-ld \
	--enable-nls \
	--enable-security
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%makeinstall

%find_lang %{name}

%{__install} -d -m0755 %{buildroot}%{_sysconfdir} \
			%{buildroot}%{_mandir}/man1 \
			%{buildroot}%{_mandir}/man8
#{__install} -m0644 Docs/sample/gnokiirc %{buildroot}%{_sysconfdir}
%{__install} -m0644 Docs/man/*.1 Docs/man/*.1x %{buildroot}%{_mandir}/man1
%{__install} -m0644 Docs/man/*.8 %{buildroot}%{_mandir}/man8

mkdir -p %{buildroot}%{_datadir}/pixmaps/
%{__install} -m0644 Docs/sample/logo/gnokii.xpm %{buildroot}%{_datadir}/pixmaps/


mkdir -p %{buildroot}%{_datadir}/applications/
install -m 644 %{SOURCE1} %{buildroot}%{_datadir}/applications/xgnokii.desktop

mkdir -p %{buildroot}%{_sysconfdir}
sed 's#/usr/local/sbin/#%{_sbindir}#' < Docs/sample/gnokiirc > %{buildroot}%{_sysconfdir}/gnokiirc

rm -f %{buildroot}%{_libdir}/libgnokii.la

%pre
/usr/sbin/groupadd -r -f gnokii &>/dev/null

%post
/sbin/ldconfig

%postun
/sbin/ldconfig
/usr/sbin/groupdel gnokii &>/dev/null

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc ChangeLog COPYING MAINTAINERS TODO Docs/Bugs Docs/CREDITS Docs/DataCalls-QuickStart
%doc Docs/FAQ Docs/README* Docs/gnokii-IrDA-Linux Docs/gnokii-ir-howto Docs/ringtones.txt
%doc Docs/protocol/ Docs/sample/
%doc %{_mandir}/man?/gnokii*
%doc %{_mandir}/man?/mgnokii*
%doc %{_mandir}/man?/ppm2nokia*
%doc %{_mandir}/man?/sendsms*
%doc %{_mandir}/man?/todologo*
%config %{_sysconfdir}/gnokiirc
%{_libdir}/*.so.*
%{_bindir}/ppm2nokia
%{_bindir}/sendsms
%{_bindir}/todologo
%{_bindir}/gnokii
%{_sbindir}/gnokiid
%defattr(4750, root, gnokii, 0755)
%{_sbindir}/mgnokiidev

%files gui -f %{name}.lang
%defattr(-, root, root, 0755)
%doc %{_mandir}/man?/xgnokii*
%{_bindir}/xgnokii
%{_datadir}/xgnokii/
%{_datadir}/applications/xgnokii.desktop
%{_datadir}/pixmaps/gnokii.xpm

%files devel
%defattr(-, root, root, 0755)
%{_libdir}/pkgconfig/*.pc
%{_libdir}/*.so
%{_libdir}/*.a
%{_includedir}/*.h
%{_includedir}/gnokii/

%changelog
* Mon Feb 09 2004 Aurox Team <aurox@aurox.org> 0:0.5.10-9.3.aur.2
- for gui, use group Group: Applications/Communications, too.
- remove not shipped .a file
- cleanup build root usage
- gnokii-gui require gnokii
- BuildRequire bluez-libs-devel gtk+-devel
- use nice icon from samples dir
- fix config file like in gnokii spec
- update desktop file
- new release 0.5.10
- rename package with graphical env. in sync with Dag Wieers' packages

* Thu Oct 09 2003 Dag Wieers <dag@wieers.com> - 0.5.5-0
- Updated to release 0.5.5.

* Tue Sep 23 2003 Dag Wieers <dag@wieers.com> - 0.5.4-0
- Updated to release 0.5.4.

* Fri Jun 13 2003 Dag Wieers <dag@wieers.com> - 0.5.2-0
- Updated to release 0.5.2.

* Fri May 30 2003 Dag Wieers <dag@wieers.com> - 0.5.1-0
- Updated to release 0.5.1.

* Sat May 17 2003 Dag Wieers <dag@wieers.com> - 0.5.0-0
- Initial package. (using DAR)
